Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Кто может помочь собрать NVENC для OBS + FFmpeg 3.2.4  (Прочитано 1871 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн dj--alex

  • Автор темы
  • Старожил
  • *
  • Сообщений: 3202
  • Понимаешь, я какбы беру в руки лопату и говорю...
    • Просмотр профиля
    • все мои творения и занятия
1.Хочется во первых поставить всё это так чтобы NVENC выбирался как аппаратный кодер потока.
2. сделать пакет который позволит не качать CUDA 8  на 2гб, не заниматся выносом мозга по паре недель
а сгенерировать пакетик не очень большой желательно чтобы просто сразу поставился нужный кодек.

в FFMPEG 3.2.4 вроде бы всё что нужно для NVENC имеется.
но я не понимаю что нужно для ответной части..
т.е. какие пакеты в системе
какие пакеты для OBS?

PS
В репозитариях естественно доступна только OBS 0.16.2 ну новая версия 0.18 да кому она нужна лучше старая пары лет давности, ну так авторы реп думают видимо.


Если кто может соберите пожалуйста OBS 0.18 с поддержкой NVENC из коробки.

у меня не получается, по исходникам компилируется почему то древнющая версия 0.16.2
даже для MAC есть 0.18 а для линукс нет.


Пользователь добавил сообщение 13 Март 2017, 17:59:11:
всё самому пришлось сделать
вся эта возня с тем блогом и CUDA вообще оказалась ненужной и напрасной тратой времени.


1. PPA FFmpeg 3.2.4  sudo add-apt-repository ppa:jonathonf/ffmpeg-3

2. выполнить всё так как тут:

иструкция взята с офф сайта.

Alternatively, Debian Jessie non-free, and Ubuntu 14.04 LTS multiverse have packages for FDK AAC. Add non-free (Debian) or multiverse (Ubuntu) to your /etc/apt/sources.list. Tested on Debian Stretch:

sudo apt-get install libavcodec-dev libavfilter-dev libavdevice-dev libfdk-aac-dev

Создание самой копии OBS понимающей NVENC:

git clone https://github.com/jp9000/obs-studio.git
cd obs-studio
mkdir build && cd build
cmake -DUNIX_STRUCTURE=1 -DCMAKE_INSTALL_PREFIX=/usr ..
make -j4
sudo checkinstall --pkgname=obs-studio --fstrans=no --backup=no \
       --pkgversion="$(date +%Y%m%d)-git" --deldoc=yes
4. Если нет желания собирать самостоятельно - Пакет можете забрать тут.
https://yadi.sk/d/c7Q6rCDi3FhfLm
« Последнее редактирование: 13 Март 2017, 20:16:19 от dj--alex »
Ubuntu 16.04.1 MATE x64, 18.1 x64 Mate, MX-Linux 16 Mate Mate Mate Mate. PC:?\FX4100@4ghz\8Gb\2TB HDD\1060gtx\90GB Ocz
http://forum.ubuntu.ru/index.php?topic=199897.0

Оффлайн asp2chief

  • Участник
  • *
  • Сообщений: 223
    • Просмотр профиля
...

Хотелось бы узнать подробности, ибо я уже достаточно долго не могу понять как компилить с поддержкой аккселератора NVENC. У меня ОБС в меню показывает параметр, но при попытке запустить поток - падает с ошибкой сегментации. Можете более делатьно пояснить где тут лежит подводный камень? Судя по консольной команде: ffmpeg -hwaccels

Hardware acceleration methods:
vdpau
cuda
vaapi
cuvid

FFMPEG в упор не понимает что я от него требую :\

Оффлайн dj--alex

  • Автор темы
  • Старожил
  • *
  • Сообщений: 3202
  • Понимаешь, я какбы беру в руки лопату и говорю...
    • Просмотр профиля
    • все мои творения и занятия
не знаю что подсказать видел такое на одном компьютере , пришлось просто выклчить NVENC


Для новой версии 21 или выше нужно кроме всего вышеперечисленного при компиляции
sudo apt-get install qt5-default qtquick1-5-dev libqt5x11extras5-dev

Если это не установить через пакетный менеджер вы увидите что то вроде вот этого при cmake

CMake Error at UI/CMakeLists.txt:104 (find_package):
  By not providing "FindQt5X11Extras.cmake" in CMAKE_MODULE_PATH this project
  has asked CMake to find a package configuration file provided by
  "Qt5X11Extras", but CMake did not find one.



Новая версия!!
Obs-studio 21.1.1 + nvenc
https://yadi.sk/d/fh23OLOy3W8kMv
« Последнее редактирование: 18 Май 2018, 20:13:54 от dj--alex »
Ubuntu 16.04.1 MATE x64, 18.1 x64 Mate, MX-Linux 16 Mate Mate Mate Mate. PC:?\FX4100@4ghz\8Gb\2TB HDD\1060gtx\90GB Ocz
http://forum.ubuntu.ru/index.php?topic=199897.0

 

Страница сгенерирована за 0.057 секунд. Запросов: 19.